VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MouseExitEvent Struct Reference
New classes » Version 4.11

MouseExitEvent. More...

`#include <events.h>`

Inheritance diagram for MouseExitEvent:

## Public Member Functions
| MouseExitEvent ()
| MouseExitEvent (CPoint pos, MouseEventButtonState buttons, Modifiers mods)
| MouseExitEvent (const MouseEvent &e)
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Additional Inherited Members
Public Attributes inherited from MouseEvent
MouseEventButtonState | buttonState
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed?

## Detailed Description

MouseExitEvent.

## Constructor & Destructor Documentation

## ◆ MouseExitEvent() [1/3]

MouseExitEvent | ( |  | ) |
| inline

## ◆ MouseExitEvent() [2/3]

MouseExitEvent | ( | CPoint | pos,
|  | MouseEventButtonState | buttons,
|  | Modifiers | mods )
| inline

## ◆ MouseExitEvent() [3/3]

MouseExitEvent | ( | const MouseEvent & | e | ) |
| inline

The documentation for this struct was generated from the following file:

- events.h